Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.webservice.siebeleai
Class EAIWebResult

    java.lang.Object
      com.stc.connector.appconn.webservice.siebeleai.EAIWebResult

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class EAIWebResult

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

Version:
  $Revision: 1.8 $
See Also:
  `PersistableData`

Constructor Summary
`EAIWebResult()`

Method Summary
`int` | `getResponseCode()`
`java.lang.String` | `getResponseMessage()`
`java.lang.String` | `getTextResult()`
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists (serializes) this structure.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restore (deserialize) this message.
`void` | `setResponseCode(int i)`
`void` | `setResponseMessage(java.lang.String responseMessage)`
`void` | `setTextResult(java.lang.String textResult)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EAIWebResult

    public EAIWebResult()

Method Detail

### getResponseCode

    public int getResponseCode()

### setResponseCode

    public void setResponseCode(int i)

### getResponseMessage

    public java.lang.String getResponseMessage()

### setResponseMessage

    public void setResponseMessage(java.lang.String responseMessage)

### getTextResult

    public java.lang.String getTextResult()

### setTextResult

    public void setTextResult(java.lang.String textResult)

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists (serializes) this structure.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutputStream to which the Java Bean instance is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `din` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.